Information on source package libopenmpt

Available versions

ReleaseVersion
stretch0.2.7386~beta20.3-3+deb9u3
buster0.4.3-1
bullseye0.4.9-1
sid0.4.9-1

Open issues

BugstretchbusterbullseyesidDescription
CVE-2019-17113vulnerablevulnerablefixedfixedIn libopenmpt before 0.3.19 and 0.4.x before 0.4.9, ModPlug_Instrument ...
CVE-2019-14380fixedvulnerable (no DSA)fixedfixedlibopenmpt before 0.4.5 allows a crash during playback due to an out-o ...
CVE-2018-20861vulnerable (no DSA)fixedfixedfixedlibopenmpt before 0.3.11 allows a crash with certain malformed custom ...
CVE-2018-20860vulnerable (no DSA)fixedfixedfixedlibopenmpt before 0.3.13 allows a crash with malformed MED files. ...
CVE-2018-11710vulnerable (no DSA)fixedfixedfixedsoundlib/pattern.h in libopenmpt before 0.3.9 allows remote attackers ...

Open unimportant issues

BugstretchbusterbullseyesidDescription
CVE-2019-14383vulnerablefixedfixedfixedJ2B in libopenmpt before 0.4.2 allows an assertion failure during file ...
CVE-2019-14382vulnerablefixedfixedfixedDSM in libopenmpt before 0.4.2 allows an assertion failure during file ...

Resolved issues

BugDescription
CVE-2019-14381libopenmpt before 0.4.3 allows a crash due to a NULL pointer dereferen ...
CVE-2018-6611soundlib/Load_stp.cpp in OpenMPT through 1.27.04.00, and libopenmpt be ...
CVE-2018-10017soundlib/Snd_fx.cpp in OpenMPT before 1.27.07.00 and libopenmpt before ...
CVE-2017-11311soundlib/Load_psm.cpp in OpenMPT through 1.26.12.00 and libopenmpt bef ...

Search for package or bug name: Reporting problems